/*
 * JBrowseDockable.java
 * Copyright (c) 2000 Andre Kaplan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


import java.awt.Component;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;

import org.gjt.sp.jedit.View;

import org.gjt.sp.jedit.gui.DockableWindow;


/**
 * Dockable JBrowse panel
 * @author Andre Kaplan
 * @version $Id: JBrowseDockable.java,v 1.3 2001/01/18 18:04:33 akaplan Exp $
**/
public class JBrowseDockable implements DockableWindow
{
    private JBrowse jbrowse = null;


    public JBrowseDockable(View view) {
        this.jbrowse = new JBrowse(view, null);
        this.jbrowse.addComponentListener(new ComponentShownHandler());
    }


    public String getName() {
        return JBrowsePlugin.DOCKABLE_NAME;
    }


    public Component getComponent() {
        return this.jbrowse;
    }


    /**
     * Event handler to automatically reparse the current buffer when the
     * docked JBrowse is shown again
    **/
    private class ComponentShownHandler implements ComponentListener
    {
        public void componentHidden(ComponentEvent ce) {}
        public void componentMoved(ComponentEvent ce) {}
        public void componentResized(ComponentEvent ce) {}


        public void componentShown(ComponentEvent ce) {
            JBrowseDockable.this.jbrowse.automaticReparse();
        }
    }
}


/*
 * ChangeLog:
 * $Log: JBrowseDockable.java,v $
 * Revision 1.3  2001/01/18 18:04:33  akaplan
 * Updated for jEdit 3.0, converted to UNIX line endings, some bugs corrected, JBrowse.Activator and JEditActivator removed
 *
 * Revision 1.3  2001/01/18 14:23:06  andre
 * JBrowse.Activator and JEditActivator removed
 *
 * Revision 1.2  2001/01/08 15:26:33  andre
 * Code cleanings
 *
 * Revision 1.1.1.1  2000/11/12 14:31:21  andre
 * JBrowse 1.3.1 initial import
 *
 * Revision 1.1  2000/09/03 16:19:59  akaplan
 * Added Dockable API support
 *
*/
