/*
 * JBrowseNullParser.java
 *
 * Copyright (c) 2000 Andre Kaplan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


public class JBrowseNullParser
    implements JBrowseParser
{
    private String sourceName;
    private String sourcePath;


    public JBrowseNullParser() {
        this("<null>", "<null>");
    }


    public JBrowseNullParser(String sourceName, String sourcePath) {
        this.sourceName = sourceName;
        this.sourcePath = sourcePath;
    }


    public JBrowseParser.Results parse() {
        return new JBrowseParser.Results();
    }


    public void setOptions(Options options) {}


    public String getSourceName() {
        return this.sourceName;
    }


    public String getSourcePath() {
        return this.sourcePath;
    }


    public void setRootNode(UMLTree.Node root) {
        root.setName(this.sourceName +  " (NON-java file)");
    }


    public boolean isReady() { return true; }
}
